Subject: bug#18228: 24.4.50; electrict-indent-mode bad indentation in python-mode

From: Andreas Röhler <[email-masked]>
Date: Thu, 28 Aug 2014 08:05:29 +0200

On 27.08.2014 21:34, Matthew Woodcraft wrote:
>
> In emacs 24.3, colon was electric by default (eg for 'else:'), but didn't
> affect 'def' lines like Jorgen's example (which I am also finding very
> annoying).
>
> So I think this is a regression (I'm on the emacs-24 branch).
>
> -M-
>

If inside a nested block, there is no way for Emacs to determine whereto such "else" should belong.
I.o.w, don't see a difference between these both cases.